From bc5b27d6f6d166d2a6df47982cbe36041ce6b735 Mon Sep 17 00:00:00 2001
From: Dima Krasner <dima@securingsam.com>
Date: Sun, 14 May 2017 12:24:59 +0300
Subject: [PATCH] conf: fix build without libcap

Signed-off-by: Dima Krasner <samdima@securingsam.com>
---
 src/lxc/conf.c | 8 ++++++++
 1 file changed, 8 insertions(+)

diff --git a/src/lxc/conf.c b/src/lxc/conf.c
index 35bdb249b..76a190120 100644
--- a/src/lxc/conf.c
+++ b/src/lxc/conf.c
@@ -130,6 +130,14 @@ lxc_log_define(lxc_conf, lxc);
 #define LO_FLAGS_AUTOCLEAR 4
 #endif
 
+#ifndef CAP_SETUID
+#define CAP_SETUID 7
+#endif
+
+#ifndef CAP_SETGID
+#define CAP_SETGID 6
+#endif
+
 /* needed for cgroup automount checks, regardless of whether we
  * have included linux/capability.h or not */
 #ifndef CAP_SYS_ADMIN
